## dnspython3 1.11.1

=== tests/Makefile ===
# Copyright (C) 2003-2007, 2009-2011 Nominum, Inc.
#
# Permission to use, copy, modify, and distribute this software and its
# documentation for any purpose with or without fee is hereby granted,
# provided that the above copyright notice and this permission notice
# appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND NOMINUM DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL NOMINUM BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
# OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

# $Id: Makefile,v 1.5 2004/03/19 00:17:27 halley Exp $

PYTHON=python3

check: test

test:
	@for i in *.py; do \
		echo "Running $$i:"; \
		${PYTHON} $$i || exit 1; \
	done

## dnspython3 1.10.0

=== debian/changelog ===
dnspython3 (1.10.0-1) unstable; urgency=low

  [ Matthew Grant ]
  * Initial release with Python3 support. (Closes: #622244)

  [ Scott Kitterman ]
  * Add myself and Robert S. Edmonds <edmonds@debian.org> to uploaders
  * Simplify debian/rules and fix install target
  * Update debian/copyright
  * Add Homepage field to debian/control
  * Adjust debian/compat and debhelper version requirements to match those
    needed by the package
  * Build-depend on python3-all instead of python3-all-dev
  * Tighten up package description
  * Correct debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 13 Jun 2012 02:16:38 -0400

=== debian/control ===
Source: dnspython3
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Robert S. Edmonds <edmonds@debian.org>, Matthew Grant <matthewgrant5@gmail.com>, Scott Kitterman <scott@kitterman.com>
Build-Depends: debhelper (>= 7.3.16), python3-all (>= 3.2)
Homepage: http://www.dnspython.org
Standards-Version: 3.9.3
X-Python3-Version: >= 3.2

Package: python3-dnspython
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: DNS toolkit for Python (Python 3)
 dnspython is a DNS toolkit for Python. It supports almost all record types. It
 can be used for queries, zone transfers, and dynamic updates. It supports TSIG
 authenticated messages and EDNS0.
 .
 dnspython provides both high and low level access to DNS. The high level
 classes perform queries for data of a given name, type, and class, and return
 an answer set. The low level classes allow direct manipulation of DNS zones,
 messages, names, and records.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON3:=$(shell py3versions -vr)

%:
	dh $@ --with python3

override_dh_auto_build:

install-python%:
	python$* setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-dnspython

override_dh_auto_install: $(PYTHON3:%=install-python%)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

## dnspython3 1.11.0

=== debian/changelog ===
dnspython3 (1.11.0-1) unstable; urgency=low

  * New upstream release
  * Bump minimum debhelper version to 8.1 and compat to 8 for build-arch/indep
    support

 -- Scott Kitterman <scott@kitterman.com>  Wed, 17 Jul 2013 02:45:18 -0400

dnspython3 (1.10.0-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ Scott Kitterman ]
  * Use dh_clean instead of dh_auto_clean to avoid use of pyversions and FTBFS
    with debhelper >= 9.20130504
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 06 May 2013 18:27:25 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,12 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Matthew Grant <matthewgrant5@gmail.com>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 7.3.16), python3-all (>= 3.2)
+Build-Depends: debhelper (>= 8.1), python3-all (>= 3.2)
 Homepage: http://www.dnspython.org
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python3-Version: >= 3.2
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/dnspython3/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/dnspython3/trunk/
 
 Package: python3-dnspython
 Architecture: all

## dnspython3 1.11.1

=== debian/changelog ===
dnspython3 (1.11.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 06 Nov 2013 02:05:26 -0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Matthew Grant <matthewgrant5@gmail.com>, Scott Kitterman <scott@kitterman.com>
 Build-Depends: debhelper (>= 8.1), python3-all (>= 3.2)
 Homepage: http://www.dnspython.org
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python3-Version: >= 3.2
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/dnspython3/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/dnspython3/trunk/

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,6 @@
 override_dh_auto_install: $(PYTHON3:%=install-python%)
 
 override_dh_auto_clean:
-	dh_auto_clean
+	dh_clean
 	rm -rf build
 	rm -rf *.egg-info

=== debian/watch ===
version=3
http://www.dnspython.org/kits3/([0-9.]+)/dnspython3-([0-9.]+)\.tar\.gz

## dnspython3 1.12.0

=== tests/Makefile ===
--- 
+++ 
@@ -20,7 +20,4 @@
 check: test
 
 test:
-	@for i in *.py; do \
-		echo "Running $$i:"; \
-		${PYTHON} $$i || exit 1; \
-	done
+	${PYTHON} ./utest.py

=== debian/changelog ===
dnspython3 (1.12.0-0ubuntu3) xenial; urgency=medium

  * debian/patches/skip-tests-require-inet.patch: Skip tests that require
    Internet connection.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 15 Dec 2015 14:36:58 -0500

dnspython3 (1.12.0-0ubuntu2) xenial; urgency=medium

  * Enable test suite to allow packaged to be MIR'd (LP: #1518800):
    - debian/control: Depend on python3-crypto, python3-nose.
    - debian/rules: override_dh_auto_test.
    - debian/patches/fallback_procotol_codes.patch: When trying to get
      protocal, ensure we have a fallback to ensure. Allows tests to not
      fail because the build environment cannot bind the protocol.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 15 Dec 2015 12:59:33 -0500

dnspython3 (1.12.0-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Add explicit build-dep on dh-python to make use of the newer version

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 15 Dec 2015 12:47:36 -0500

dnspython3 (1.11.1-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:41:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: dnspython3
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Robert S. Edmonds <edmonds@debian.org>, Matthew Grant <matthewgrant5@gmail.com>, Scott Kitterman <scott@kitterman.com>
-Build-Depends: debhelper (>= 8.1), python3-all (>= 3.2)
+Build-Depends: debhelper (>= 8.1), python3-all (>= 3.2), dh-python,
+ python3-nose, python3-crypto
 Homepage: http://www.dnspython.org
 Standards-Version: 3.9.5
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 
 override_dh_auto_install: $(PYTHON3:%=install-python%)
 
+override_dh_auto_test:
+	cd tests; PYTHONPATH=.. nosetests3 *.py
+
 override_dh_auto_clean:
 	dh_clean
 	rm -rf build
